Subject: How does Cialis work?

From: Cialis Works <[email-masked]>
Date: Wed, 23 May 2007 00:44:35 +0300

What is Cialis?

Cialis is a prescription tablet to treat Erectile Dysfunction (ED) in men.
Cialis is a treatment that goes to work fast - as fast as 14 minutes in
some patients - and works up to 36 hours. This allows you to respond to
sexual stimulation when the moment is right for you and your partner.

Buy Cialis online